# @react-md/chip

Create a compact actionable element that can be used to represent an input,
attribute, or action. A chip can be used to represent filters, tags, emails, or
other inline elements.

## Installation

```sh
npm install --save @react-md/chip
```

<!-- DOCS_REMOVE -->

## Documentation

You should check out the
[full documentation](https://react-md.dev/packages/chip/demos) for live examples
and more customization information, but an example usage is shown below.

<!-- DOCS_REMOVE_END -->

## Usage

```tsx
import type { ReactElement } from "react";
import { Chip } from "@react-md/chip";

export default function Example(): ReactElement {
  return <Chip id="example-chip-1">I'm a chip!</Chip>;
}
```
